dnl Available from the GNU Autoconf Macro Archive at:
dnl http://www.gnu.org/software/ac-archive/htmldoc/check_zlib.html
dnl
AC_DEFUN([CHECK_LIBGHTTP],
#
# Handle user hints
#
[AC_MSG_CHECKING(if libghttp is wanted)
AC_ARG_WITH(libghttp,
[  --with-libghttp=DIR root directory path of libghttp installation [defaults to
                    /usr/local or /usr if not found in /usr/local]
  --without-libghttp to disable libghttp usage completely],
[if test "$withval" != no ; then
  AC_MSG_RESULT(yes)
  LIBGHTTP_HOME="$withval"
else
  AC_MSG_RESULT(no)
fi], [
AC_MSG_RESULT(yes)
LIBGHTTP_HOME=/usr/local
if test ! -f "${LIBGHTTP_HOME}/include/ghttp.h"
then
        LIBGHTTP_HOME=/usr
fi
if test ! -f "${LIBGHTTP_HOME}/include/ghttp.h"
then
        LIBGHTTP_HOME=/opt/gnome
fi
])

#
# Locate libghttp, if wanted
#
if test -n "${LIBGHTTP_HOME}"
then
        LIBGHTTP_OLD_LDFLAGS=$LDFLAGS
        LIBGHTTP_OLD_CPPFLAGS=$LDFLAGS
        LDFLAGS="$LDFLAGS -L${LIBGHTTP_HOME}/lib"
        CPPFLAGS="$CPPFLAGS -I${LIBGHTTP_HOME}/include"
        AC_LANG_SAVE
        AC_LANG_C
        AC_CHECK_LIB(ghttp, ghttp_request_new, [ghttp_have_lib=yes], [ghttp_have_lib=no])
        AC_CHECK_HEADER(ghttp.h, [ghttp_have_h=yes], [ghttp_have_h=no])
        AC_LANG_RESTORE
        if test "$ghttp_have_lib" = "yes" -a "$ghttp_have_h" = "yes"
        then
                #
                # If both library and header were found, use them
                #
                AC_CHECK_LIB(ghttp, ghttp_request_new)
                AC_MSG_CHECKING(libghttp in ${LIBGHTTP_HOME})
                AC_MSG_RESULT(ok)
		AC_DEFINE(HAVE_LIBGHTTP,1,Do we have libghttp?)
		have_ghttp="yes"
        else
                #
                # If either header or library was not found, revert and bomb
                #
                AC_MSG_CHECKING(libghttp in ${LIBGHTTP_HOME})
                LDFLAGS="$LIBGHTTP_OLD_LDFLAGS"
                CPPFLAGS="$LIBGHTTP_OLD_CPPFLAGS"
		have_ghttp="no"
		AC_MSG_RESULT(failed)
                AC_MSG_ERROR(either specify a valid libghttp installation with --with-libghttp=DIR or disable libghttp usage with --without-libghttp)
        fi
fi

])
